Subject: Re: smp: Start up non-boot CPUs asynchronously

From: Peter Zijlstra <[email-masked]>
Date: Tue, 14 Feb 2012 16:20:14 +0100

On Tue, 2012-02-14 at 06:31 -0800, Arjan van de Ven wrote:
>=20
> frankly, such code HAS to worry about cpus going online and offline
> even today; the firmware, at least on X86, can start taking cores
> offline/online once ACPI is initialized.... (as controlled by a data
> center manager from outside the box, usually done based on thermal or
> power conditions on a datacenter level). Now, no doubt that we have
> bugs in this space, since this only happened very rarely before.=20

Which frankly is an utter piece of crap, that ACPI spec is total garbage
and completely useless. You might have noticed that the ACPI code
supporting that failure carries a big nacked-by from me.

That's not to say we shouldn't try to fix hotplug, but bringing that
ACPI nonsense to the table makes me care less, not more.

I mean, really, that spec is broken, the support is worse.